Package com.ocient.jdbc

# Class SyncRowCursor

java.lang.Object
com.ocient.jdbc.SyncRowCursor

public final class SyncRowCursor extends Object
An `AsyncIterator` over the `rows` in this result set. The iterator is buffered, meaning that rows are fetched from the server in batches using an MPSC queue as the iterator is consumed.

If the server does not send data fast enough to keep up with the rate of consumption, the iterator will block until more data becomes available. This backpressure mechanism allows the client to control the rate at which data is received from the server, and to avoid OOM conditions when dealing with large result sets.

The returned iterator is not thread safe, and should only be consumed in a single-threaded fashion.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`SyncRowCursor.CursorMode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`next(SyncRowCursor.CursorMode mode)`
`long`
`position()`
`Row`
`rowUnsafe()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### position

public long position()

### rowUnsafe

public Row rowUnsafe()

### next

public boolean next(SyncRowCursor.CursorMode mode) throws SQLException

Throws:
  `SQLException`

### toString

public String toString()

Overrides:
  `toString` in class `Object`